import board

from kmk.kmk_keyboard import KMKKeyboard
from kmk.keys import KC
from kmk.scanners import DiodeOrientation
from kmk.modules.layers import Layers
#from kmk.modules.mousekeys import MouseKeys
#from kmk.modules.mediakeys import MediaKeys



#keyboard.extensions.append(MediaKeys())
#keyboard.modules.append(MouseKeys())
keyboard = KMKKeyboard()
keyboard.modules.append(Layers())

keyboard.row_pins = (board.GP6, board.GP7, board.GP8, board.GP9, board.GP10,)
keyboard.col_pins = (board.GP11, board.GP12, board.GP13, board.GP14, board.GP15, board.GP16, board.GP17, board.GP18, board.GP19, board.GP20, board.GP21, board.GP22, board.GP23, board.GP24, board.GP25,)
keyboard.diode_orientation = DiodeOrientation.COL2ROW

keyboard. keymap = [
    [  # qwerty
        KC.ESC,     KC.N1,     KC.N2,     KC.N3,    KC.N4,    KC.N5,    KC.N6,    KC.N7,    KC.N8,   KC.N9,    KC.N0,    KC.MINS,  KC.EQL,  KC.BSPC,  KC.DEL,
        KC.TAB,     KC.Q,      KC.W,      KC.E,     KC.R,     KC.T,     KC.Y,     KC.U,     KC.I,    KC.O,     KC.P,     KC.LBRC,  KC.RBRC, KC.BSLS,  KC.INS,
        KC.CLCK,    KC.A,      KC.S,      KC.D,     KC.F,     KC.G,     KC.H,     KC.J,     KC.K,    KC.L,     KC.SCLN,  KC.QUOT,  KC.NO,   KC.ENT,   KC.RGUI,
        KC.LSFT,    KC.NO,     KC.Z,      KC.X,     KC.C,     KC.V,     KC.B,     KC.N,     KC.M,    KC.COMM,  KC.DOT,   KC.SLSH,  KC.RSFT, KC.UP,    KC.MO(1),
        KC.LCTL,    KC.LGUI,   KC.LALT,   KC.NO,    KC.NO,    KC.NO,    KC.SPC,   KC.NO,    KC.NO,   KC.RGUI,  KC.MO(1), KC.RCTL,  KC.LEFT, KC.DOWN,  KC.RGHT,
    ],  
    [  # additional layout
        KC.GRAVE,   KC.F1,     KC.F2,     KC.F3,    KC.F4,    KC.F5,    KC.F6,    KC.F7,   KC.F8,    KC.F9,    KC.F10,   KC.F11,   KC.F12,  KC.TRNS,  KC.TRNS,
        KC.TRNS,    KC.TRNS,   KC.MS_UP,  KC.TRNS,  KC.TRNS,  KC.TRNS,  KC.TRNS,  KC.TRNS, KC.PSCR,  KC.SLCK,  KC.PAUS,  KC.TRNS,  KC.TRNS, KC.TRNS,  KC.TRNS,
        KC.TRNS,    KC.MS_LT,  KC.MS_DN,  KC.MS_RT, KC.TRNS,  KC.MPRV,  KC.MPLY,  KC.MNXT, KC.HOME,  KC.PGUP,  KC.TRNS,  KC.VOLD,  KC.VOLU, KC.MUTE,  KC.TRNS,
        KC.TRNS,    KC.VOLD,   KC.VOLU,   KC.MUTE,  KC.TRNS,  KC.TRNS,  KC.TRNS,  KC.TRNS, KC.TRNS,  KC.END,   KC.PGDN,  KC.TRNS,  KC.TRNS, KC.PGUP,  KC.TRNS,
        KC.TRNS,    KC.TRNS,   KC.TRNS,   KC.NO,    KC.TRNS,  KC.TRNS,  KC.TRNS,  KC.TRNS, KC.TRNS,  KC.TRNS,  KC.TRNS,  KC.TRNS,  KC.HOME, KC.PGDN,  KC.END,
    ]
]

#keyboard.debug_enabled = True

if __name__ == '__main__':
    keyboard.go()